# SQL Editor Document Provider

###### Identifier:

org.eclipse.datatools.routineeditor.ui.documentprovider

###### Since:

0.7.0

###### Description:

This extension point allows a document provider to be contributed for SQL Routine editor. Extensions register a `org.eclipse.datatools.sqltools.routineeditor.IRoutineEditorDocumentProvider` class which will provide additional functions beyond the original document provider. Note: this extension point is intended to be used by DTP SQL debugger only for now.

###### Configuration Markup:

<!ELEMENT extension (provider)>

<!ATTLIST extension

point CDATA #REQUIRED

id CDATA #IMPLIED

name CDATA #IMPLIED>

This extension point should be used by debugger only.

<!ELEMENT provider EMPTY>

<!ATTLIST provider

id CDATA #IMPLIED

class CDATA #REQUIRED>

- id - optional id
- class - a fully qualified name of the Java class implementing org.eclipse.datatools.sqltools.routineeditor.IRoutineEditorDocumentProvider.

###### Examples:

    <extension
              point="org.eclipse.datatools.sqltools.routineeditor.ui.documentprovider">
           <provider class="org.eclipse.datatools.sqltools.debugger.editorextension.SQLDebuggerDocumentProvider"/>
        </extension>

SQLDebuggerDocumentProvider will be used by SQLEditorDocumentProvider to manage breakpoint positions.

###### API Information:

The class attribute must be a fully qualified name of the Java class implementing org.eclipse.datatools.sqltools.routineeditor.IRoutineEditorDocumentProvider. public interface IRoutineEditorDocumentProvider extends IDocumentProvider, IDocumentProviderExtension2, IDocumentProviderExtension3 { /** * Refreshs the routine object from database. * @param element the routine object * @param controlCon control connection that's used by the routine editor * @param proc the routine identifier */ public void refreshFromDatabase(Object element, IControlConnection controlCon, ProcIdentifier proc) throws CoreException, SQLException; }

###### Supplied Implementation:

[Enter information about supplied implementation of this extension point.]

Copyright (c) 2005 Sybase, Inc. All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html Contributors: Sybase, Inc. - initial API and implementation